%define upstream_name Dist-Zilla-Plugin-Readme-Brief
%define upstream_version 0.003000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Provide a short simple README with just the essentials
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::File::FromCode)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::PPI)
BuildRequires: perl(Dist::Zilla::Util::ConfigDumper)
BuildRequires: perl(Dist::Zilla::Util::Test::KENTNL) >= 1.4.0
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(PPI::Document)
BuildRequires: perl(PPIx::DocumentName)
BuildRequires: perl(Pod::Elemental)
BuildRequires: perl(Pod::Elemental::Selectors)
BuildRequires: perl(Pod::Elemental::Transformer::Nester)
BuildRequires: perl(Pod::Elemental::Transformer::Pod5)
BuildRequires: perl(Pod::Text)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.890.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This provides a terse but informative README file for your CPAN
distribution that contains just the essential details about your dist a
casual consumer would want to know.

*   The name of the primary module in the distribution

*   The distribution's main modules description

*   Simple installation instructions from an extracted archive

*   Short copyright information

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.3.0-2.mga6
+ Revision: 1026561
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.3.0-1.mga6
+ Revision: 1007591
- update to 0.003000

* Fri Feb 19 2016 umeabot <umeabot> 0.2.5-2.mga6
+ Revision: 968250
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.2.5-1.mga6
+ Revision: 851672
- imported package perl-Dist-Zilla-Plugin-Readme-Brief

